%define ctandate 20050605
# YYYYMMDD

%{!?_texmf: %define _texmf %(eval "echo `kpsewhich -expand-var '$TEXMFMAIN'`")}

%define texpkg      prosper
%define texpkgdir   %{_texmf}/tex/latex/%{texpkg}
%define texpkgdoc   %{_texmf}/doc/latex/%{texpkg}


Name:           tetex-%{texpkg}
Version:        1.5
Release:        5%{?dist}
Summary:        LaTeX class for writing transparencies

Group:          Applications/Publishing
License:        LPPL
URL:            http://www.ctan.org/tex-archive/help/Catalogue/entries/prosper.html
Source0:        prosper-%{version}-%{ctandate}.zip
# ctan generated source
# ftp://cam.ctan.org/tex-archive/macros/latex/contrib/prosper.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  /usr/bin/kpsewhich
BuildRequires:  sed >= 3.95
Requires:       tetex-latex tetex-dvips 
Requires:       ghostscript >= 6.0
Requires(post):	  /usr/bin/texhash
Requires(postun): /usr/bin/texhash

%description
prosper is a LaTeX class for writing transparencies. It is written on top of
the seminar class by Timothy Van Zandt. It aims at offering an environment for
easily creating slides for both presentations with an overhead projector and a
video projector.

Slides prepared for a presentation with a computer and a video projector may
integrate animation effects, incremental display, and such. 



%prep
%setup -q -n prosper
%{__sed} -i 's/\r//' contrib/PPRmancini.sty

%build

%install
rm -rf %buildroot

install -d -m 755 %buildroot%{texpkgdir}/contrib/img
install -d -m 755 %buildroot%{texpkgdir}/designer
install -d -m 755 %buildroot%{texpkgdir}/img
install -d -m 755 %buildroot%{texpkgdoc}

install -p -m 644 *.{cls,sty} %buildroot%{texpkgdir}/
install -p -m 644 contrib/*.{ps,sty,tex} %buildroot%{texpkgdir}/contrib/
install -p -m 644 contrib/img/*.{eps,gif,ps} %buildroot%{texpkgdir}/contrib/img/
install -p -m 644 designer/*.{jpg,png} %buildroot%{texpkgdir}/designer/
install -p -m 644 img/*.{gif,ps} %buildroot%{texpkgdir}/img/

install -p -m 644 doc/*.{eps,fig,pdf,ps,tex} %buildroot%{texpkgdoc}/

%clean
rm -rf %buildroot

%post
texhash > /dev/null 2>&1 || :

%postun
texhash > /dev/null 2>&1 || :


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog FAQ NEWS README TODO doc/doc-examples
%{texpkgdir}
%{_texmf}/doc/latex



%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Sep  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.5-4
- fix license tag

* Wed Sep 20 2006 Dominik 'Rathann' Mierzejewski <rpm@greysector.net> - 1.5-3
- mass rebuild
- fix directory ownership somewhat

* Tue Jun 07 2005 Michael A. Peters <mpeters@mac.com> - 1.5-2
- use sed to fix dos line break instead of dos2unix

* Sun Jun 05 2005 Michael A. Peters <mpeters@mac.com> - 1.5-1
- initial checkin to CVS
